<style scoped="">
.site_map{
  background-color: #f5f2f2;
  padding-top: 64px;
  padding-bottom: 66px;
}
.site_cate_title{
  font-size: 16px;
  line-height: 1;
  color: #353556;
  white-space: nowrap;
}
.site_map_ct{
  list-style: none;
  display: flex;
}
.site_map_ct>li{
  /*margin-right: 110px;*/
  width: 25%;
}
.site_map_ct>li:last-child{
  margin-right: 0px;
  width: 300px;
}
.site_map_ct>li:last-child .social_list{
  width: 400px;
  display: flex;
  width: 400px;
  flex-wrap: wrap;
}
.site_map_ct li{
  list-style: none;
}
.site_cate_items_ct li{
  margin-top: 53px;
  list-style: none;
}
.site_cate_items_ct li a{
  color: #717188;
  white-space: nowrap;
}
.site_cate_items_ct li a:hover{
  color: #0D5EE5;
}

.social_list li{
  position: relative;
}
.social_list li a{
  display: block;
  width: 56px;
  height: 56px;
  margin-right: 28px;
  background-color: #fff;
  background-size: 50%;
  background-repeat: no-repeat;
  background-position: center;
  margin-top: 30px;
  position: relative;
}
.social_list li a .center_point{
  position: absolute;
  height: 0px;
  overflow: visible;
  left: 0px;
  right: 0px;
  justify-content: center;
  align-items: center;
  display: flex;
}
.social_list li a .shadow_pane{
  position: absolute;
  background-color: #fff;
  width: 200px;
  height: 200px;
  overflow: hidden;
  top: -200px;
  left: 50%;
  margin-left: -100px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15);
  border-radius: 3px;
  /*padding: 5px;*/
  z-index: 1;
  box-sizing: border-box;
  display: none;
}
.social_list li a .text_pane{
  white-space: nowrap;
  /*overflow: visible;*/
  height: auto;
  width: auto;
  left: auto;
  margin-left: auto;
  bottom: 0px;
  top: auto;
  overflow: hidden;
}
.social_list li a .text_pane a{
  width: auto;
  height: 20px;
  padding: 12px 19px;
  margin-top: 0px;
  margin-right: 0px;
  display: flex;
  align-items: center;
}
.social_list li a:hover .shadow_pane{
  display: block;
}
.social_list li a .shadow_pane img{
  width: 200px;
  height: 200px;
}
.telegram{
  background-image: url('../assets/images/电报1@2x.png');
}
.wechat{
  background-image: url('../assets/images/微信1@2x.png');
}
.sina{
  background-image: url('../assets/images/微博1@2x.png');
}
.twitter{
  background-image: url('../assets/images/twitter1@2x.png');
}
.mail{
  background-image: url('../assets/images/邮箱1@2x.png');
}
.github{
  background-image: url('../assets/images/github1@2x.png');
}
.medium{
  background-image: url('../assets/images/m1@2x.png');
}
.link_node{
  background-image: url('../assets/images/琏节点1@2x.png');
}

.telegram:hover{
  background-image: url('../assets/images/电报2@2x.png');
}
.wechat:hover{
  background-image: url('../assets/images/微信2@2x.png');
}
.sina:hover{
  background-image: url('../assets/images/微博2@2x.png');
}
.twitter:hover{
  background-image: url('../assets/images/twitter2@2x.png');
}
.mail:hover{
  background-image: url('../assets/images/邮箱2@2x.png');
}
.github:hover{
  background-image: url('../assets/images/github2@2x.png');
}
.medium:hover{
  background-image: url('../assets/images/m2@2x.png');
}
.link_node:hover{
  background-image: url('../assets/images/琏节点2@2x.png');
}
.all_bg{
  background-image: url('../assets/images/电报2@2x.png'),
                     url('../assets/images/微信2@2x.png'),
                     url('../assets/images/微博2@2x.png'),
                     url('../assets/images/twitter2@2x.png'),
                     url('../assets/images/邮箱2@2x.png'),
                     url('../assets/images/github2@2x.png'),
                     url('../assets/images/m2@2x.png'),
                     url('../assets/images/琏节点2@2x.png');
  width: 0px;
  height: 0px;
  overflow: hidden;
}
.a_circle{
  width: 6px;
  height: 6px;
  border-radius: 20px;
  margin-right: 10px;
  box-shadow: 0px 0px 10px #eee;
  border: 1px solid #03A9F4;
}
@media (max-width: 1000px){
  .social_list{
    width: 200px;
  }
}
@media (max-width: 800px){
  .pc_social_module{
    display: none;
  }
  .site_cate_title{
    text-align: center;
    font-size: 20px;
  }
  .social_list li a{
    margin-left: 14px;
    margin-right: 14px;
  }
  .site_map_ct>li:last-child .social_list{
    width: 100%;
    justify-content: center;
  }
  .site_map_ct>li:last-child{
    width: 100%;
  }
}
</style>
<template>
  <div class="site_map">
    <div class="all_bg"></div>
    <div class="comm_width">
      <ul class="site_map_ct">
        <!-- <input type="file" name="file_test" id="file_test"><br/>
        <input type="file" name="file_test0" id="file_test0"><br/>
        <input type="file" name="file_test1" id="file_test1"><br/> -->
        <li class="pc_social_module">
          <h4 class="site_cate_title">{{ lang.data['developer'] }}</h4>
          <ul class="site_cate_items_ct">
            <li>
              <a target="_blank" href="https://github.com/eosforce">Github</a>
            </li>
            <li>
              <a target="_blank" href="https://eosforce.github.io/Documentation/">{{ lang.data['Document'] }}</a>
            </li>
            <li>
              <a target="_blank" href="https://open.eosforce.io/">
                {{ lang.data['One-Click Startup'] }}
              </a>
            </li>
          </ul>
        </li>

        <li class="pc_social_module">
          <h4 class="site_cate_title">
            {{ lang.data['Mainnet News'] }}
          </h4>
          <ul class="site_cate_items_ct">
            <li>
                <a target="_blank" href="https://eosforce.gitbook.io/eosforce/zui-xin-zi-xun/eosc-zhu-wang-zui-xin-zi-xun">
                  {{ lang.data['Latest News'] }}
                </a>
              </li>          


              <li>
                <a target="_blank" href="https://eosforce.gitbook.io/eosforce/">
                  {{ lang.data['Introduction'] }}
                </a>
              </li>


              <li>
                <a target="_blank" href="https://eosforce.gitbook.io/eosforce/kai-fa-zhou-bao/eosc-kai-fa-zhou-bao">
                  {{  lang.data['Weekly Report'] }}
                </a>
              </li>


              <!-- <li>
                <a target="_blank" href="https://explorer.eosforce.io/FAQ.html#/cn/1/1.1/">
                  {{ lang.data['FAQ'] }}
                </a>
              </li> -->
          </ul>
        </li>

        <li class="pc_social_module">
          <h4 class="site_cate_title">
            {{ lang.data['Community Governance'] }}
          </h4>
          <ul class="site_cate_items_ct">
            <li>
                <a target="_blank" href="https://eosforce.gitbook.io/eosforce/jie-dian-jie-shao/eosc-zhu-wang-jie-dian-jie-shao">
                  {{ lang.data['Node Information'] }}
                </a>
              </li>          


              <li>
                <a target="_blank" href="https://eosforce.gitbook.io/eosforce/ti-an/eosforce-zhu-wang-gai-jin-ti-an">
                  {{ lang.data['Proposal Publicity'] }}
                </a>
              </li>


              <li>
                <a target="_blank" href="https://u.eosforce.io/">
                  {{ lang.data['Budget System'] }}
                </a>
              </li>


              <li>
                <a target="_blank" href="https://bbs.eosforce.io/">
                  {{ lang.data['Community Forum'] }}
                </a>
              </li>
          </ul>
        </li>

        <li class="pc_social_module">
          <h4 class="site_cate_title">{{ lang.data['Tool Application'] }}</h4>
          <ul class="site_cate_items_ct">
            <li>
              <a target="_blank" href="https://explorer.eosforce.io">
                {{ lang.data['EOS Explorer'] }}
              </a>
            </li>
            <li>
              <router-link :to="{'name': 'wallet'}">
                {{ lang.data['Download Wallet'] }}
              </router-link>
            </li>
          </ul>
        </li>

        <li>
          <h4 class="site_cate_title">{{ lang.data['Social'] }}</h4>
          <ul class="social_list">
            <li>
              <a target="_blank" class="telegram" >
                <div class="center_point">
                  <div class="shadow_pane text_pane">
                    <a href="https://t.me/eosforce_en">
                      <span class="a_circle"></span>
                      <span>English  community: 
                        <span>https://t.me/eosforce_en</span>
                      </span>
                    </a>
                    <a href="https://t.me/eosforce_en">
                      <span class="a_circle"></span>
                      <span>Korean community: https://t.me/eosforcekr</span>
                    </a>
                    <a href="https://t.me/eosforce_en">
                      <span class="a_circle"></span>
                      <span>Developers: https://t.me/EOSForce</span>
                    </a>
                  </div>
                </div>
              </a>
            </li>
            <li>
              <a target="_blank" class="wechat"  >
                <div class="center_point">
                  <div class="shadow_pane">
                    <img src="../assets/images/wx-link.jpg">
                  </div>
                </div>
              </a>
              
            </li>
            <li>
              <a target="_blank" class="sina" href="https://weibo.com/eostio"></a>
            </li>
            <li>
              <a target="_blank" class="twitter" href="https://twitter.com/eosforce"></a>
            </li>
            <li>
              <a target="_blank" class="mail" href="mailto:service@eosforce.io"></a>
            </li>
            <li>
              <a target="_blank" class="github" href="https://github.com/eosforce"></a>
            </li>
            <li>
              <a target="_blank" class="medium" href="https://medium.com/@eosforce"></a>
            </li>
            <li>
              <a target="_blank" class="link_node" href="https://www.chainnode.com/forum/257"></a>
            </li>
          </ul>
        </li>



      </ul>
    </div>
  </div>
</template>
<script>
import { lang, set_lang } from '@/data/langs/index.js'
export default {
  data () {
    return {
      lang
    }
  },

  methods: {

  }
}
</script>